Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.maryanovsky.map.client
Class Map

    java.lang.Object
      com.maryanovsky.map.client.Map

    public class Map

extends Object

Represents a map, which is a stack of TileLayers.

Author:
  Maryanovsky Alexander

Constructor Summary
`Map(Projection projection, List<TileLayer> tileLayers, int minZoom, int maxZoom)` Creates a new `Map` with the specified projection, stack of tile layers and zoom range.
`Map(Projection projection, TileLayer tileLayer, int minZoom, int maxZoom)` Creates a new `Map` with the specified projection, tile layer and zoom range.

Method Summary
`List<TileLayer>` | `getLayers()` Returns the stack of {linkplain TileLayer}s in this map.
`int` | `getMaxZoom()` Returns the biggest available zoom for this `Map`.
`int` | `getMinZoom()` Returns the smallest available zoom for this `Map`.
`Projection` | `getProjection()` Returns the projection of this map.
`Map` | `getVersionScaledToDisplay()` Returns a variant of this `Map` properly scaled to be displayed on displays where the number of logical pixels per device pixel is not 1, such as iPhone retina displays.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Map

    public Map(Projection projection,
               List<TileLayer> tileLayers,
               int minZoom,
               int maxZoom)

  Creates a new `Map` with the specified projection, stack of tile layers and zoom range.

### Map

    public Map(Projection projection,
               TileLayer tileLayer,
               int minZoom,
               int maxZoom)

  Creates a new `Map` with the specified projection, tile layer and zoom range.

Method Detail

### getVersionScaledToDisplay

    public Map getVersionScaledToDisplay()

  Returns a variant of this `Map` properly scaled to be displayed on displays where the number of logical pixels per device pixel is not 1, such as iPhone retina displays. See also `BrowserUtils.getDevicePixelRatio()`. Note that if you invoke this method on an already-scaled `Map`, it will scale it again. Important: This method will throw an exception if not all the tile layers have the same tile size.

### getProjection

    public Projection getProjection()

  Returns the projection of this map.

### getLayers

    public List<TileLayer> getLayers()

  Returns the stack of {linkplain TileLayer}s in this map. Layers at lower indices are behind layers at higher indices. The returned list is unmodifiable.

### getMinZoom

    public int getMinZoom()

  Returns the smallest available zoom for this `Map`.

### getMaxZoom

    public int getMaxZoom()

  Returns the biggest available zoom for this `Map`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD